package com.yuchen.saas.park.service.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yuchen.saas.park.api.entity.park.ParkingSpaceEntity;
import com.yuchen.saas.park.api.request.ParkingSpaceRequest;
import com.yuchen.saas.park.api.response.ParkingSpaceResponse;
import com.yuchen.saas.park.api.response.SpaceStaticResponse;
import org.nest.springwrap.core.mp.base.BaseService;
import org.nest.springwrap.core.mp.support.Query;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;

/**
 * @author 肖祥
 * @date 2022/11/29 14:46
 */
public interface ParkingSpaceService extends BaseService<ParkingSpaceEntity> {

    R save(ParkingSpaceRequest parkingSpaceRequest);

    R update(ParkingSpaceRequest parkingSpaceRequest);

    R remove(ParkingSpaceRequest parkingSpaceRequest);

    R<ParkingSpaceResponse> detail(Long id);

    R<IPage<ParkingSpaceResponse>> list(ParkingSpaceRequest parkingSpaceRequest, Query query);


    R<SpaceStaticResponse> spaceStatics(ParkingSpaceRequest parkingSpaceRequest);


}
